## ros-kinetic-pr2-computer-monitor 1.6.30

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2_computer_monitor)
# Load catkin and all dependencies required for this package
# TODO: remove all from COMPONENTS that are not catkin packages.
find_package(catkin REQUIRED COMPONENTS roscpp std_msgs)

if(CATKIN_ENABLE_TESTING)
  #catkin_add_nosetests(test/parse_test.py)
endif()

include_directories(include ${catkin_INCLUDE_DIRS})

catkin_package(
    DEPENDS roscpp std_msgs
    CATKIN_DEPENDS # TODO
    INCLUDE_DIRS # TODO include
    LIBRARIES network_detector# TODO
)


install(DIRECTORY demo
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

file(GLOB PYTHON_SCRIPTS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" 
   "${CMAKE_CURRENT_SOURCE_DIR}/scripts/*")
install(PROGRAMS ${PYTHON_SCRIPTS}
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

add_executable(network_detector src/network_detector.cpp)
target_link_libraries(network_detector ${catkin_LIBRARIES})
add_dependencies(network_detector ${catkin_EXPORTED_TARGETS} pr2_computer_monitor_gencpp)

install(TARGETS network_detector
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

catkin_python_setup()

=== debian/changelog ===
ros-kinetic-pr2-computer-monitor (1.6.30-0xenial) xenial; urgency=high

  * removed more tests for jenkins build
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 23 Apr 2018 07:00:00 -0000

ros-kinetic-pr2-computer-monitor (1.6.29-0xenial) xenial; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sun, 22 Apr 2018 07:00:00 -0000

ros-kinetic-pr2-computer-monitor (1.6.28-0xenial) xenial; urgency=high

  * made sure tests only run if CATKIN_ENABLE_TESTING is set
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sat, 21 Apr 2018 07:00:00 -0000

ros-kinetic-pr2-computer-monitor (1.6.27-0xenial) xenial; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Fri, 20 Apr 2018 07:00:00 -0000

ros-kinetic-pr2-computer-monitor (1.6.26-0xenial) xenial; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 19 Mar 2018 07:00:00 -0000

ros-kinetic-pr2-computer-monitor (1.6.25-0xenial) xenial; urgency=high

  * updated packages for new maintainer
  * updated changelogs
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 19 Mar 2018 07:00:00 -0000

ros-kinetic-pr2-computer-monitor (1.6.7-0xenial) xenial; urgency=high

  * Reverted changes
  * Added dependencies in catkin
  * Added catkin_package() to pr2_robot
  * Updated mainpage.dox
  * Fix binary location of network_detector
  * Contributors: Ryohei Ueda, TheDash

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Wed, 11 Feb 2015 08:00:00 -0000

=== debian/control ===
Source: ros-kinetic-pr2-computer-monitor
Section: misc
Priority: extra
Maintainer: Dave Feil-Seifer <dave@cse.unr.edu>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-diagnostic-msgs, ros-kinetic-pr2-msgs, ros-kinetic-roscpp, ros-kinetic-std-msgs
Homepage: http://www.ros.org/wiki/pr2_computer_monitor
Standards-Version: 3.9.2

Package: ros-kinetic-pr2-computer-monitor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-diagnostic-msgs, ros-kinetic-pr2-msgs, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-std-msgs
Description: Monitors the computer's processor and hard drives of the PR2 and publishes data to diagnostics.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-pr2-computer-monitor//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
